<script lang="ts">
  export let shadow: boolean = true;
</script>

<div class="wrapper border" class:shadow>
  <div class="inner" />
</div>

<style>
  .wrapper {
    background-color: linen;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0.75em;
    height: 14em;
    width: 10em;
    border-radius: 1em;
  }

  .inner {
    background: repeating-linear-gradient(
        45deg,
        #00000010,
        #00000010 0.5em,
        #00000020 0.5em,
        #00000020 1em
      ),
      repeating-linear-gradient(
        -45deg,
        #00000010,
        #00000010 0.5em,
        #00000020 0.5em,
        #00000020 1em
      ),
      radial-gradient(#b82929, #6b1313);

    width: 100%;
    height: 100%;

    border-radius: 0.5em;
  }
</style>
